#!/bin/sh 
 
### Please ensure that CWODAEnv.sh is the first call in this utility. 
### CROSSWORLDS}, PATH, CWCLASSES, JAVA are declared in CWODAEnv.sh under 
### bin directory. 
. VAR_CWHOME/bin/CWODAEnv.sh 
 
AGENTNAME=OneWorldODA 
 
AGENT=${CROSSWORLDS}/ODA/OneWorld/BIA_OneWorldODA.jar 
AGENTCLASS=com.ibm.oda.oneworldoda.OneWorldOda 
 
#ONE_WORLD=${CROSSWORLDS}/connectors/OneWorld/dependencies/Kernel.jar:${CROSSWORLDS}/connectors/OneWorld/dependencies/Connector.jar:
CONDIR=${CROSSWORLDS}/connectors/OneWorld
CLASSPATH=${CWCLASSES}:${AGENT}:
LOCAL_JVM_FLAG="${JVM_FLAGS} -Xss8m -Xoss8m"  
 
echo CLASSPATH =${CLASSPATH} 
echo JVM = ${CWJAVA} 
 
echo LOCAL_JVM_FLAG = ${LOCAL_JVM_FLAG} 
 
#REM Start the Object Discovery Agent 
 
${CWJAVA} ${JVM_FLAGS} ${ORB_DEP} -Djava.library.path=${CONDIR}/repository:${CONDIR}/dependencies -Djava.ext.dirs=${JRE_EXT_DIRS}:${CONDIR}/dependencies:${CONDIR}/repository -Dfile.encoding="ISO8859_1" -classpath ${CLASSPATH} com.crossworlds.ODKInfrastructure.${CONNECTION} -l${AGENTNAME} -c${AGENTCLASS}  

#   ##### Note for Japanese Version Users: #####
#         Use the following line instead of the above!!
#${CWJAVA} ${JVM_FLAGS} ${ORB_DEP} -Djava.library.path=${CONDIR}/repository:${CONDIR}/dependencies -Djava.ext.dirs=${JRE_EXT_DIRS}:${CONDIR}/dependencies:${CONDIR}/repository -Dfile.encoding="SJIS" -classpath ${CLASSPATH} com.crossworlds.ODKInfrastructure.${CONNECTION} -l${AGENTNAME} -c${AGENTCLASS}  

